> For the complete documentation index, see [llms.txt](https://docs.emsigner.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.emsigner.com/apis/api-reference/billing-and-payments/payment-history.md).

# Payment History

## POST /api/Public/GetPaymentHistory/list

> List payment history

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"GetPaymentHistory"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.PaymentHistoryRequest":{"type":"object","properties":{"startDate":{"type":"string","format":"date-time","nullable":true},"endDate":{"type":"string","format":"date-time","nullable":true},"paymentMode":{"type":"integer","format":"int32","nullable":true},"paymentStatus":{"type":"number","format":"double","nullable":true},"transactionId":{"type":"string","nullable":true},"pageNumber":{"type":"integer","format":"int32"},"pageSize":{"type":"integer","format":"int32"}},"additionalProperties":false}}},"paths":{"/api/Public/GetPaymentHistory/list":{"post":{"tags":["GetPaymentHistory"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.PaymentHistoryRequest"}}}},"responses":{"200":{"description":"OK"}},"summary":"List payment history","operationId":"post_GetPaymentHistory_list"}}}}
```

## POST /api/Public/GetPaymentHistory/details

> Details

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"GetPaymentHistory"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.PaymentDetailsRequest":{"required":["paymentId"],"type":"object","properties":{"paymentId":{"type":"integer","format":"int32"}},"additionalProperties":false}}},"paths":{"/api/Public/GetPaymentHistory/details":{"post":{"tags":["GetPaymentHistory"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.PaymentDetailsRequest"}}}},"responses":{"200":{"description":"OK"}},"summary":"Details","operationId":"post_GetPaymentHistory_details"}}}}
```

## POST /api/Public/GetPaymentHistory/summary

> Summary

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"GetPaymentHistory"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.PaymentSummaryRequest":{"type":"object","properties":{"startDate":{"type":"string","format":"date-time","nullable":true},"endDate":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/GetPaymentHistory/summary":{"post":{"tags":["GetPaymentHistory"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.PaymentSummaryRequest"}}}},"responses":{"200":{"description":"OK"}},"summary":"Summary","operationId":"post_GetPaymentHistory_summary"}}}}
```
